| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::RTShader::HardwareSkinning::SkinningData Struct Reference

`#include <OgreShaderExHardwareSkinning.h>`

## Public Member Functions
| SkinningData ()

## Public Attributes
bool | correctAntipodalityHandling
bool | isValid
ushort | maxBoneCount
ushort | maxWeightCount
bool | scalingShearingSupport
SkinningType | skinningType

## Constructor & Destructor Documentation

## ◆ SkinningData()

Ogre::RTShader::HardwareSkinning::SkinningData::SkinningData | ( |  | ) |
| inline

## Member Data Documentation

## ◆ isValid

bool Ogre::RTShader::HardwareSkinning::SkinningData::isValid

## ◆ maxBoneCount

ushort Ogre::RTShader::HardwareSkinning::SkinningData::maxBoneCount

## ◆ maxWeightCount

ushort Ogre::RTShader::HardwareSkinning::SkinningData::maxWeightCount

## ◆ skinningType

SkinningType Ogre::RTShader::HardwareSkinning::SkinningData::skinningType

## ◆ correctAntipodalityHandling

bool Ogre::RTShader::HardwareSkinning::SkinningData::correctAntipodalityHandling

## ◆ scalingShearingSupport

bool Ogre::RTShader::HardwareSkinning::SkinningData::scalingShearingSupport

The documentation for this struct was generated from the following file:

- OgreShaderExHardwareSkinning.h